package com.ti.msp430.imagereformer;

import java.awt.Dimension;
import java.awt.Graphics;
import java.awt.ScrollPane;
import java.awt.image.BufferedImage;
import java.io.File;
import java.io.IOException;

import javax.imageio.ImageIO;
import javax.swing.JLabel;
import javax.swing.JScrollPane;

public class ImageWindow extends ScrollPane {
	private static final long serialVersionUID = -2458153725453118876L;
	BufferedImage image;
	ImageLabel jb;
	Dimension size = new Dimension();

	class ImageLabel extends JLabel {

		protected void paintComponent(Graphics g) {
			// Center image in this component.
			// super.paint(g);
			if (image != null) {
				int x = (getWidth() - size.width) / 2;
				int y = (getHeight() - size.height) / 2;
				g.drawImage(image, x, y, this);
			}
		}

		public Dimension getPreferredSize() {
			return size;
		}

	}

	public ImageWindow() {

	}

	public ImageWindow(BufferedImage im) {
		this();
		jb = new ImageLabel();
		image = im;
		if (image != null)
			size.setSize(image.getWidth(), image.getHeight());
		else
			size.setSize(400, 400);

		this.add(jb);

	}

}
